.EditBlock INPUT[type=text],
.EditBlock INPUT[type=password],
.EditBlock SELECT {
	width: 100%;
}

.EditBlock INPUT[type=text].tfiField,
.EditBlock INPUT[type=password].tfiField,
.EditBlock SELECT.tfiField {
	width: 182px;
	vertical-align: middle;
}

.EditBlock INPUT[type=text].tfdField,
.EditBlock INPUT[type=password].tfdField,
.EditBlock SELECT.tfdField {
	width: 198px;
	vertical-align: top;
}

.EditBlock .flexInput {
	display: flex;
}

.EditBlock .flexInput INPUT[type=radio] {
	flex-shrink: 0;
	margin: 2px;
	margin-left: 0;
}

.EditBlock .flexInput INPUT[type=text] {
	border-right: 0;
}

.EditBlock .flexInput IMG {
	border: 1px solid #c0c0c0;
	border-left: 0;
}

.EditBlock .periodsSpecificWrap {
	position: relative;
	padding-right: 15px;
}

.EditBlock .periodsSpecificWrap .addLink {
	float: none;
	position: absolute;
	bottom: 4px;
	right: 0px;
}

.EditBlock .periodsSpecificWrap > DIV > SPAN {
	float: right;
	margin-top: 2px;
}

.dateField IMG {
	vertical-align: middle;
}

.dateField INPUT {
	width: 22px;
	vertical-align: middle;
}

.dateField INPUT:nth-child(3) {
	width: 70px;
}

/* Matt Kruse, cp Calendar */
/* Calender spesific styles */

/* if the cpPopup is followed by .no-year class, we hide the year navigation as its just confusing to show it */
.cpPopup.no-year .cpYearNavigation {
	display: none;
}

.cpYearNavigation, .cpMonthNavigation {
	background-color: #C0C0C0;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	color: #0d0d0d;
	font-weight: bold;
}

.cpDayColumnHeader, .cpYearNavigation, .cpMonthNavigation, .cpCurrentMonthDate, .cpCurrentMonthDateDisabled, .cpOtherMonthDate, .cpOtherMonthDateDisabled, .cpCurrentDate, .cpCurrentDateDisabled, .cpTodayText, .cpTodayTextDisabled, .cpText {
	font-size: 8pt;
}

TD.cpDayColumnHeader {
	text-align: right;
	border: solid thin #C0C0C0;
	border-width: 0px 0px 1px 0px;
}

.cpCurrentMonthDate, .cpOtherMonthDate, .cpCurrentDate {
	text-align: right;
	text-decoration: none;
}

.cpCurrentMonthDateDisabled, .cpOtherMonthDateDisabled, .cpCurrentDateDisabled {
	color: #D0D0D0;
	text-align: right;
	text-decoration: line-through;
}

.cpCurrentMonthDate, .cpCurrentDate {
	color: #0d0d0d;
}

.cpOtherMonthDate {
	color: #808080;
}

TD.cpCurrentDate {
	color: #fefefe;
	background-color: #C0C0C0;
	border-width: 1px;
	border: solid thin #800000;
}

TD.cpCurrentDateDisabled {
	border-width: 1px;
	border: solid thin #FFAAAA;
}

TD.cpTodayText, TD.cpTodayTextDisabled {
	border: solid thin #C0C0C0;
	border-width: 1px 0px 0px 0px;
}

A.cpTodayText, SPAN.cpTodayTextDisabled {
	height: 20px;
}

A.cpTodayText {
	color: #0d0d0d;
}

.cpTodayTextDisabled {
	color: #D0D0D0;
}

.cpBorder {
	border: solid thin #808080;
}

.cpPopup {
	position: absolute;
	background-color: #fefefe;
	width: 200px;
}

.EditBlock #editFormInputs INPUT.sysEditFieldSmall {
	width: 80px;
/*	padding-right: 39px;
	text-align: right;*/
}

.EditBlock #editFormInputs INPUT.sysEditFieldSmall + LABEL {
	position: relative;
	margin-left: -37px;
	top: 2px;
	float: none;
	clear: none;
	padding: initial;
	color: #aeaeae;
}

/* select2 input element styling */
.ml-5 {
	margin-left: 5px;
}

.select2 .selection .select2-selection {
	border: 1px solid #dbdbdb;
	border-radius: 1px;
	cursor: pointer;
}

.select2-container--default .select2-selection__rendered li:last-child {
	display: none;
}

.select2-container, .select2-container .select2-selection--multiple {
	min-height: 25px;
}
.select2-container .select2-selection--single {
	height: 25px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 25px;
	padding-left: 4px;
}


.select2-container--default .select2-selection--multiple .select2-selection__choice {
	margin-right: 2px;
	margin-top: 2px;
	padding: 0 5px;
	line-height: 17px;
}

.select2-selection--multiple:before {
	content: "";
	position: absolute;
	right: 7px;
	top: 42%;
	border-top: 5px solid #888;
	border-left: 4px solid transparent;
	border-right: 4px solid transparent;
}

.primaryColor-bg {
	background: #0090D4;
}

.primaryColor-f {
	color: #0090D4;
}

.font15 {
	font-size: 1.5em;
}

.select2-new-item {
	padding: 6px;
	height: 20px;
	display: inline-table;
	text-decoration: none;
	text-align: center;
	width: 100%;
	border-top: 1px solid lightgray;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
	border: 1px solid #b3b3b3 !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
	border-left: 3px solid #ffe000;
	background-color: #fff !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
	background-color: #F2F2F2 !important;
	color: #383838 !important;
}

.select2-new-item {
	color: #0090D4;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
	background-color: #f2f2f2 !important;
	border: 1px solid #e2e2e2 !important;
	border-radius: 1px !important;
}

.select2-selection:before {
	content: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPScxLjEnIHhtbG5zPSdodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZycgeG1sbnM6eGxpbms9J2h0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsnIHdpZHRoPScyNCcgaGVpZ2h0PScyNCcgdmlld0JveD0nMCAwIDI0IDI0Jz48cGF0aCBmaWxsPScjNDQ0JyBkPSdNNy40MDYgNy44MjhsNC41OTQgNC41OTQgNC41OTQtNC41OTQgMS40MDYgMS40MDYtNiA2LTYtNnonPjwvcGF0aD48L3N2Zz4=");
	right: 1px;
	top: 2px;
	border: none;
	position: absolute;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	display: none;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
	display: none;
}

.db-list-cat-icon {
	font-size: 12px;
}

.select2-results__options i {
	width: 18px;
	text-align: center;
	vertical-align: bottom;
}
.select2-results li>span>i {
	min-width: 26px;
	display: inline-block;
}

.EditBlock FORM TABLE TR+TR:last-child TD:last-child {
	display: flex;
	justify-content: center;
}
.EditBlock FORM TABLE TR+TR:last-child TD:last-child {
	display: initial;
	justify-content: initial;
}

FORM TABLE TR+TR:last-child TD:last-child>INPUT,
FORM TABLE TR+TR:last-child TD:last-child>BUTTON {
	flex: 1;
	max-width: 200px;
}
.EditBlock FORM TABLE TR+TR:last-child TD:last-child>INPUT,
.EditBlock FORM TABLE TR+TR:last-child TD:last-child>BUTTON {
	flex: initial;
	max-width: initial;
}

.EditBlock FORM TR TD LABEL:empty,
.EditBlock FORM TR TD INPUT[type=text]+LABEL {
	display: none;
}

.EditBlock FORM TR TD TEXTAREA {
	resize: none;
}
.EditBlock FORM TR TD TEXTAREA+SPAN {
	display: flex;
	justify-content: space-evenly;
}
.EditBlock FORM TR TD TEXTAREA+SPAN>SELECT {
	flex: 1;
}

.EditBlock FORM TR TD TEXTAREA#custMsgInput + HR + DIV {
	display: flex;
	align-items: center;
}

.EditBlock input:invalid {
	border: red solid 2px;
}